#define DEMO_USE_MEMLIB	// DEMO ライブラリのMEMモジュール使用宣言
#include <demo.h>       // DEMO
//----- インクルードファイル -----
#include "mem2allocator.h"


//=======================================================================================
// MEM2領域からメモリを確保する関数
//
// ※32Byteにアライメントされた先頭アドレスの領域を確保する
//
// size ... 確保するサイズ(Byte)
//
// 戻り値 ... 確保したメモリ領域の先頭アドレス
//=======================================================================================
void* Mem2Alloc32( u32 size )
{
    return MEMAllocFromAllocator( &DemoAllocator2, size );
}


//=======================================================================================
// MEM2領域から確保したメモリを解放する関数
//
// addr ... MEM2から確保したメモリ領域の先頭アドレス
//
// 戻り値 ... メモリの解放に成功したら1そうでない場合は0を返す
//            ※必ず1が返ります
//=======================================================================================
u8 Mem2Free32( void *addr )
{
    MEMFreeToAllocator( &DemoAllocator2, addr );
    
    return 1;
}
